%global momorel 1
%global srcname iwlwifi-5150-ucode

Summary: Firmware for Intel(R) PRO/Wireless 5150 A/G/N network adaptors
Name: iwl5150-firmware
Version: 8.24.2.2
Release: %{momorel}m%{?dist}
License: "Redistributable, no modification permitted"
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{srcname}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: sed
BuildArch: noarch
# This is so that the noarch packages don't appear for these archs
ExcludeArch: ppc ppc64

%description
This package contains the firmware required by the iwl5150 driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.

%prep
%setup -q -n %{srcname}-%{version}

# move docs
%{__mv} LICENSE.%{srcname} LICENSE
%{__mv} README.%{srcname} README

# fix end-of-line encoding
%{__sed} -i 's/\r//' LICENSE README

# put timestamp back (it's the same on all files)
touch -r LICENSE README

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware
%{__install} -p -m 0644 iwlwifi-5150*.ucode \
    %{buildroot}/lib/firmware/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*ucode

%changelog
* Mon May 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.24.2.2-1m)
- initial package for Momonga Linux
